depends = ('ITKPyBase', 'ITKStatistics', 'ITKSpatialObjects', 'ITKSmoothing', 'ITKOptimizers', 'ITKImageIntensity', 'ITKImageGrid', 'ITKImageGradient', 'ITKImageFunction', 'ITKImageFeature', 'ITKFiniteDifference', 'ITKDisplacementField', )
templates = (  ('BlockMatchingImageFilter', 'itk::BlockMatchingImageFilter', 'itkBlockMatchingImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('BlockMatchingImageFilter', 'itk::BlockMatchingImageFilter', 'itkBlockMatchingImageFilterID3', True, 'itk::Image< double,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDISC3ISC3', True, 'itk::VersorRigid3DTransform< double >,itk::Image< signed char,3 >,itk::Image< signed char,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDISS3ISS3', True, 'itk::VersorRigid3DTransform< double >,itk::Image< signed short,3 >,itk::Image< signed short,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDIUC3IUC3', True, 'itk::VersorRigid3DTransform< double >,itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDIULL3IULL3', True, 'itk::VersorRigid3DTransform< double >,itk::Image< unsigned long long,3 >,itk::Image< unsigned long long,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDIUS3IUS3', True, 'itk::VersorRigid3DTransform< double >,itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDIF3IF3', True, 'itk::VersorRigid3DTransform< double >,itk::Image< float,3 >,itk::Image< float,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDID3ID3', True, 'itk::VersorRigid3DTransform< double >,itk::Image< double,3 >,itk::Image< double,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerMOTBD22ISC2ISC2', True, 'itk::MatrixOffsetTransformBase< double,2,2 >,itk::Image< signed char,2 >,itk::Image< signed char,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerMOTBD22ISS2ISS2', True, 'itk::MatrixOffsetTransformBase< double,2,2 >,itk::Image< signed short,2 >,itk::Image< signed short,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerMOTBD22IUC2IUC2', True, 'itk::MatrixOffsetTransformBase< double,2,2 >,itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerMOTBD22IULL2IULL2', True, 'itk::MatrixOffsetTransformBase< double,2,2 >,itk::Image< unsigned long long,2 >,itk::Image< unsigned long long,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerMOTBD22IUS2IUS2', True, 'itk::MatrixOffsetTransformBase< double,2,2 >,itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerMOTBD22IF2IF2', True, 'itk::MatrixOffsetTransformBase< double,2,2 >,itk::Image< float,2 >,itk::Image< float,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerMOTBD22ID2ID2', True, 'itk::MatrixOffsetTransformBase< double,2,2 >,itk::Image< double,2 >,itk::Image< double,2 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GradientDifferenceImageToImageMetric', 'itk::GradientDifferenceImageToImageMetric', 'itkGradientDifferenceImageToImageMetricID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerTD22', True, 'itk::Transform<double,2,2>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerTF22', True, 'itk::Transform<float,2,2>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerTD33', True, 'itk::Transform<double,3,3>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerTF33', True, 'itk::Transform<float,3,3>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerTD44', True, 'itk::Transform<double,4,4>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerTF44', True, 'itk::Transform<float,4,4>'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MatchCardinalityImageToImageMetric', 'itk::MatchCardinalityImageToImageMetric', 'itkMatchCardinalityImageToImageMetricID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC2ISC2IVD22', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC3ISC3IVD23', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC4ISC4IVD24', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC2ISC2IVD32', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC3ISC3IVD33', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC4ISC4IVD34', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC2ISC2IVD42', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC3ISC3IVD43', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC4ISC4IVD44', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC2ISC2IVF22', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC3ISC3IVF23', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC4ISC4IVF24', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC2ISC2IVF32', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC3ISC3IVF33', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC4ISC4IVF34', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC2ISC2IVF42', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC3ISC3IVF43', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISC4ISC4IVF44', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVD22', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVD23', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVD24', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVD32', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVD33', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVD34', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVD42', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVD43', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVD44', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVF22', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVF23', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVF24', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVF32', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVF33', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVF34', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVF42', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVF43', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVF44', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVD22', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVD23', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVD24', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVD32', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVD33', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVD34', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVD42', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVD43', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVD44', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVF22', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVF23', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVF24', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVF32', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVF33', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVF34', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVF42', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVF43', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVF44', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL2IULL2IVD22', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL3IULL3IVD23', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL4IULL4IVD24', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL2IULL2IVD32', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL3IULL3IVD33', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL4IULL4IVD34', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL2IULL2IVD42', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL3IULL3IVD43', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL4IULL4IVD44', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL2IULL2IVF22', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL3IULL3IVF23', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL4IULL4IVF24', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL2IULL2IVF32', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL3IULL3IVF33', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL4IULL4IVF34', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL2IULL2IVF42', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL3IULL3IVF43', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIULL4IULL4IVF44', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVD22', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS3IUS3IVD23', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS4IUS4IVD24', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVD32', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS3IUS3IVD33', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS4IUS4IVD34', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVD42', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS3IUS3IVD43', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS4IUS4IVD44', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVF22', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS3IUS3IVF23', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS4IUS4IVF24', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVF32', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS3IUS3IVF33', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS4IUS4IVF34', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVF42', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS3IUS3IVF43', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS4IUS4IVF44', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVD22', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVD23', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVD24', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVD32', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVD33', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVD34', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVD42', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVD43', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVD44', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF22', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVF23', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVF24', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF32', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVF33', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVF34', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF42', True, 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVF43', True, 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVF44', True, 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVD22', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVD23', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVD24', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVD32', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVD33', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVD34', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVD42', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVD43', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVD44', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVF22', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVF23', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVF24', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVF32', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVF33', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVF34', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVF42', True, 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVF43', True, 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVF44', True, 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PointSetToPointSetMetric', 'itk::PointSetToPointSetMetric', 'itkPointSetToPointSetMetricPSF2', True, 'itk::PointSet< float,2 >, itk::PointSet< float,2 >'),
  ('PointSetToPointSetMetric', 'itk::PointSetToPointSetMetric', 'itkPointSetToPointSetMetricPSD2', True, 'itk::PointSet< double,2 >, itk::PointSet< double,2 >'),
  ('PointSetToPointSetMetric', 'itk::PointSetToPointSetMetric', 'itkPointSetToPointSetMetricPSF3', True, 'itk::PointSet< float,3 >, itk::PointSet< float,3 >'),
  ('PointSetToPointSetMetric', 'itk::PointSetToPointSetMetric', 'itkPointSetToPointSetMetricPSD3', True, 'itk::PointSet< double,3 >, itk::PointSet< double,3 >'),
  ('PointSetToPointSetMetric', 'itk::PointSetToPointSetMetric', 'itkPointSetToPointSetMetricPSF4', True, 'itk::PointSet< float,4 >, itk::PointSet< float,4 >'),
  ('PointSetToPointSetMetric', 'itk::PointSetToPointSetMetric', 'itkPointSetToPointSetMetricPSD4', True, 'itk::PointSet< double,4 >, itk::PointSet< double,4 >'),
  ('PointSetToPointSetMetric', 'itk::PointSetToPointSetMetric', 'itkPointSetToPointSetMetricPSF23', True, 'itk::PointSet< float,2 >, itk::PointSet< float,3 >'),
  ('PointSetToPointSetMetric', 'itk::PointSetToPointSetMetric', 'itkPointSetToPointSetMetricPSD23', True, 'itk::PointSet< double,2 >, itk::PointSet< double,3 >'),
  ('PointSetToPointSetRegistrationMethod', 'itk::PointSetToPointSetRegistrationMethod', 'itkPointSetToPointSetRegistrationMethodREGF2F2', True, 'itk::PointSet< float, 2 >, itk::PointSet< float, 2 >'),
  ('PointSetToPointSetRegistrationMethod', 'itk::PointSetToPointSetRegistrationMethod', 'itkPointSetToPointSetRegistrationMethodREGD2D2', True, 'itk::PointSet< double, 2 >, itk::PointSet< double, 2 >'),
  ('PointSetToPointSetRegistrationMethod', 'itk::PointSetToPointSetRegistrationMethod', 'itkPointSetToPointSetRegistrationMethodREGF3F3', True, 'itk::PointSet< float, 3 >, itk::PointSet< float, 3 >'),
  ('PointSetToPointSetRegistrationMethod', 'itk::PointSetToPointSetRegistrationMethod', 'itkPointSetToPointSetRegistrationMethodREGD3D3', True, 'itk::PointSet< double, 3 >, itk::PointSet< double, 3 >'),
  ('PointSetToPointSetRegistrationMethod', 'itk::PointSetToPointSetRegistrationMethod', 'itkPointSetToPointSetRegistrationMethodREGF4F4', True, 'itk::PointSet< float, 4 >, itk::PointSet< float, 4 >'),
  ('PointSetToPointSetRegistrationMethod', 'itk::PointSetToPointSetRegistrationMethod', 'itkPointSetToPointSetRegistrationMethodREGD4D4', True, 'itk::PointSet< double, 4 >, itk::PointSet< double, 4 >'),
  ('PointSetToPointSetRegistrationMethod', 'itk::PointSetToPointSetRegistrationMethod', 'itkPointSetToPointSetRegistrationMethodREGF2F3', True, 'itk::PointSet< float, 2 >, itk::PointSet< float, 3 >'),
  ('PointSetToPointSetRegistrationMethod', 'itk::PointSetToPointSetRegistrationMethod', 'itkPointSetToPointSetRegistrationMethodREGD2D3', True, 'itk::PointSet< double, 2 >, itk::PointSet< double, 3 >'),
  ('PointsLocator', 'itk::PointsLocator', 'itkPointsLocatorVCULPF2', True, 'itk::VectorContainer<unsigned long, itk::Point< float,2 > >'),
  ('PointsLocator', 'itk::PointsLocator', 'itkPointsLocatorVCULPD2', True, 'itk::VectorContainer<unsigned long, itk::Point< double,2 > >'),
  ('PointsLocator', 'itk::PointsLocator', 'itkPointsLocatorVCULPF3', True, 'itk::VectorContainer<unsigned long, itk::Point< float,3 > >'),
  ('PointsLocator', 'itk::PointsLocator', 'itkPointsLocatorVCULPD3', True, 'itk::VectorContainer<unsigned long, itk::Point< double,3 > >'),
  ('PointsLocator', 'itk::PointsLocator', 'itkPointsLocatorVCULPF4', True, 'itk::VectorContainer<unsigned long, itk::Point< float,4 > >'),
  ('PointsLocator', 'itk::PointsLocator', 'itkPointsLocatorVCULPD4', True, 'itk::VectorContainer<unsigned long, itk::Point< double,4 > >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISC2ISC2', True, 'itk::Image< signed char,2 >, itk::Image< signed char,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISC3ISC3', True, 'itk::Image< signed char,3 >, itk::Image< signed char,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISC4ISC4', True, 'itk::Image< signed char,4 >, itk::Image< signed char,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIULL2IULL2', True, 'itk::Image< unsigned long long,2 >, itk::Image< unsigned long long,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIULL3IULL3', True, 'itk::Image< unsigned long long,3 >, itk::Image< unsigned long long,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIULL4IULL4', True, 'itk::Image< unsigned long long,4 >, itk::Image< unsigned long long,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseF2', True, 'itk::Transform< float,2,2 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseD2', True, 'itk::Transform< double,2,2 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseF3', True, 'itk::Transform< float,3,3 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseD3', True, 'itk::Transform< double,3,3 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseF4', True, 'itk::Transform< float,4,4 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseD4', True, 'itk::Transform< double,4,4 >'),
)
factories = ()
